Bug 382791 - gnome-applet-music doesn't work on fedora 8
gnome-applet-music doesn't work on fedora 8
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-applet-music (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-14 11:34 EST by Ivan Quirino
Modified: 2008-04-09 02:08 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-09 02:08:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ivan Quirino 2007-11-14 11:34:21 EST
Description of problem:

the gnome-applet-music doesn't work, it just loads but then the icon doesn't
appear on the panel


Version-Release number of selected component (if applicable):

gnome-applet-music-2.2.0-2.fc8.i386
How reproducible:
install the gnome-applet-music and then try to add it on the panel, the icon
doesn't appear


Steps to Reproduce:
1.
2.
3.
  
Actual results:
it doesn't work

Expected results:
the music applet icon should appear

Additional info:
Comment 1 Peter Gordon 2007-11-14 16:21:01 EST
When you restart your computer, does the applet properly appear? If so, you may
experiencing bug 240824. (In which case, please reopen that with more details.)

Does 2.2.1 (in updates-testing) fix this for you?
Comment 2 Peter Gordon 2007-12-14 04:05:03 EST
Ivan, it has been over one month since the last activity on this bug. Are you
still experiencing this issue with 2.2.1 (now stable)?

Please let me know. If in one week I do not receive further confirmation or
details, I will close this bug due to lack of response. Thanks.
Comment 3 Ivan Quirino 2007-12-14 05:39:31 EST
It's now working, but when I restart X it doesn't
Comment 4 Peter Gordon 2008-03-17 14:54:49 EDT
Ivan, does this issue persist with 2.3.0-1 (now stable).
Comment 5 Ivan Quirino 2008-03-17 18:02:45 EDT
The case is when gnome crashes the applet disappear, we just see only a line
Comment 6 Peter Janakiev 2008-03-21 03:25:52 EDT
I have a problem with gnome-applet-music-2.3.0-1.fc8
To duplicate:
start the PC
log in via GDM
we assume the user has the music applet enabled in the panel
click on the icon - rhythmbox starts

Expected result: the applet controls should appear
Actual result: the applet remains inactive, even is you could play music in
rhythmbox and so on. The rhuthmbox plugin is enabled, more over it is started
via the applet. 
This happened after the last update (21.03.2008)
Versions:
gnome-applet-music-2.3.0-1.fc8
rhythmbox-0.11.3-7.fc8

Comment 7 Peter Gordon 2008-03-21 03:48:31 EDT
I just noticed this too...ugh. It seems only Rhythmbox is affected, though.
Banshee, Muine both work nicely with it. I was hoping it was due to my
part-rawhide/part-F8 setup but that does not now appear to be the case. :(

Comment 8 Peter Gordon 2008-03-28 17:31:55 EDT
While trying to track this down I noticed that rhythmbox-client never prints the
current song data and instead seems to hang until Rhythmbox is closed. This
leads me to believe that there is something wrong with how Rhythmbox is
communicating via D-Bus to its clients.

I will try to get some more details about this and post a new bug for it.
Comment 9 Peter Gordon 2008-03-29 14:46:43 EDT
Okay, so Music Applet works beautifully with Rhythmbox in Rawhide. 
F-8 is using Rhythmbox 0.11.3, versus Rawhide's 0.11.5; so there may be
something between the two where the issue was fixed upstream. Time to delve into
the SVN logs... :o
Comment 10 Peter Gordon 2008-04-08 22:50:45 EDT
And again this bug escapes me. After today's updates Music Applet and Rhythmbox
work beautifully (and rhythmbox-client works as expected). Nothing in my updates
log shows anything suspicious though." ;_;

Ivan, please update your system and let me know if the issue persists. Thanks.
Comment 11 Ivan Quirino 2008-04-09 01:55:18 EDT
music applet is now working fine in F8
Comment 12 Peter Gordon 2008-04-09 02:08:01 EDT
Excellent. Thanks, Ivan.

I'll therefore close this bug as WORKSFORME. Please feel free to re-open it
again at a later time with more details should the problem once again show its
ugly face. =)

Note You need to log in before you can comment on or make changes to this bug.